import {
  DeesElement,
  type TemplateResult,
  property,
  customElement,
  html,
  css,
  cssManager,
} from '@design.estate/dees-element';

@customElement('dees-appui-base')
export class DeesAppuiBase extends DeesElement {
  public static demo = () => html`<dees-appui-base></dees-appui-base>`;

  public static styles = [
    cssManager.defaultStyles,
    css`
      :host {
        position: absolute;
        height: 100%;
        width: 100%;
      }
      .maingrid {
        position: absolute;
        top: 40px;
        height: calc(100% - 40px);
        width: 100%;
        display: grid;
        grid-template-columns: 60px 240px auto 240px;
      }
    `,
  ];

  // INSTANCE
  public render(): TemplateResult {
    return html`
      <style></style>
      <dees-appui-appbar></dees-appui-appbar>
      <div class="maingrid">
        <dees-appui-mainmenu></dees-appui-mainmenu>
        <dees-appui-mainselector></dees-appui-mainselector>
        <dees-appui-maincontent></dees-appui-maincontent>
        <dees-appui-activitylog></dees-appui-activitylog>
      </div>
    `;
  }
}
